Bio::MapIO::mapmaker(3)

NAME
Bio::MapIO::mapmaker - A Mapmaker Map reader

SYNOPSIS
# do not use this object directly it is accessed through the Bio::MapIO system

    use Bio::MapIO;
    my $mapio = new Bio::MapIO(-format => "mapmaker",
                               -file   => "mapfile.map");
    while( my $map = $mapio->next_map ) {
        # get each map
        foreach my $marker ( $map->each_element ) {
            # loop through the markers associated with the map
        }
    }

DESCRIPTION
This object contains code for parsing and processing Mapmaker output and creating Bio::Map::MapI objects from it.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Jason Stajich
Email jason@bioperl.org

Describe contact details here

CONTRIBUTORS
Additional contributors names and emails here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  next_map
 Title   : next_tree
 Usage   : my $map = $factory->next_map;
 Function: Get a map from the factory
 Returns : L<Bio::Map::MapI>
 Args    : none

  write_map
 Title   : write_tree
 Usage   : $factory->write_map($map);
 Function: Write a map out through the factory
 Returns : none
 Args    : Bio::Map::MapI